none
Exchange 2010 Install and Forest Functional Level

    Question

  • I'm trying to install Exchange 2010 on a Windows 2008 R2 Data Center.  I continue to get the following error:

    Organization Prerequisites

    Failed

    Error:

    The forest functional level of the current Active Directory forest is not Windows Server 2003 native or later. To install Exchange Server 2010, the forest functional level must be at least Windows Server 2003 native.

    I've raised the forest functional level to Windows 2008 R2.  But yet I continue to have this issue.  

    Within my domain I have 3 Windows 2008 R2 Data Center Servers in my domain and 1 Windows 2008 memeber sever which contains an Exchange 2007 SP2 server.  My goal is to move all my mail boxes to Exchange 2010.  However, I can't install it because of the forest functional level error that I'm receiving.  There is no virutalization involved.  

    Thanks

       

    Friday, November 13, 2009 11:43 AM

Answers

  • Please post this under Exchange 2010 Forum

    http://social.technet.microsoft.com/Forums/en/exchange2010/threads
    Vinod |CCNA|MCSE 2003 +Messaging|MCTS|ITIL V3|
    • Marked as answer by Frank.Wang Wednesday, November 18, 2009 3:12 AM
    Friday, November 13, 2009 12:04 PM

All replies

  • Please post this under Exchange 2010 Forum

    http://social.technet.microsoft.com/Forums/en/exchange2010/threads
    Vinod |CCNA|MCSE 2003 +Messaging|MCTS|ITIL V3|
    • Marked as answer by Frank.Wang Wednesday, November 18, 2009 3:12 AM
    Friday, November 13, 2009 12:04 PM
  • I figured it out.  I needed to raise the Forest Functional level and the Domain functional level.  They are seperate as I found out. 


    Thanks

    Friday, November 13, 2009 12:04 PM
  • You sure you raised the forest functional level or did you raise the domain functional level?

    Also, check out this thread
    http://social.technet.microsoft.com/Forums/en/exchange2010/thread/002077a4-5706-4312-a035-6d3a24ec590a
    Michel de Rooij, MCITP Ent.Msg | MCTS W2008, E2k7Conf | MCSE+Msg2k3 | MCSE+Inet2k3 | Prince2 Fnd | ITIL
    Friday, November 13, 2009 12:08 PM
  • Believe it or not, Exchange 2010 is not supported on DataCenter edition.  This may be the problem.

    http://technet.microsoft.com/en-us/library/aa996719(EXCHG.140).aspx
    • Proposed as answer by Amit Tank Friday, November 13, 2009 2:31 PM
    Friday, November 13, 2009 2:19 PM
  • I got it to work on DataCenter.  Just because it is not in the list doesn't mean it isn't supported.
    Wednesday, December 23, 2009 10:11 PM
  • On Wed, 23-Dec-09 22:11:45 GMT, NerdieDude wrote:

    >I got it to work on DataCenter. Just because it is not in the list doesn't mean it isn't supported.

    Oh, but it does mean it isn't supported! Don't confuse 'working' and
    'supported'. The 'supported' part means that MS has tested all aspects
    of Exchange running on that platform. They haven't done this. That
    means it isn't a supported configuration.
    ---
    Rich Matheisen
    MCSE+I, Exchange MVP

    --- Rich Matheisen MCSE+I, Exchange MVP
    Thursday, December 24, 2009 2:42 AM
  • Hi,

         I also successfully installed Ex2010 on Windows 2008 R2 Datacenter edition.

         Here is my thread which I posted when I was having problems in installing Ex2010 on that Windows edition.


         Regards,

    Laeeq Qazi|Snr Software Engineer(Exchange + Sharepoint + BES + DynamicsCRM) www.HostingController.com
    Thursday, December 24, 2009 8:04 AM
  • I have this same problem, and the functional leve has been risen on both Windows 2003 SBS and Windows 2008 R2 Standard server to Windows 2003 and native has been selected. I can't get the install to work.

     

    Organization Prerequisites
    Failed

    Error:
    The forest functional level of the current Active Directory forest is not Windows Server 2003 native or later. To install Exchange Server 2010, the forest functional level must be at least Windows Server 2003 native.

    Sunday, July 11, 2010 6:43 PM
  • I had this exact same problem. After giving up searching for it, I eventually found that it was a problem with the forest functional level. Most of the documentation talks about raising the domain functional level (from the AD USers and Computers console), but nothing is said about having to also raise the forst functional level (in Active Directory Domains and Trusts). Once I did this, I got past the prerequesites section and was able to install the software correctly.
    Thursday, July 21, 2011 3:25 PM
  • I think it does not related to Data Center Edition

    If you install win 2k8 r2 from cd that has 4 edition in it in vmware , select the end option (I install os later ...) that it allow you select what version you install, If you install automatically from cd it install data center edition automatically.

     

    I have this problem when I have 2003 domain controller and upgrade it for 2008 environment by dcprep command in 2008 r2 support folder(in dvd source) and I search now what is this problem;)

    Tuesday, July 26, 2011 8:11 AM
  • I solved it:

    step 1: adprep

    In domain controller 2003 insert dvd 2008 r2 and in coomand prompt go to cd path

     (cd path)\support\adprep

    enter aprep.exe /?  or adprep32.exe /? to see help for adprep for 2008 (for example adprep.exe /forestprep  or adprep32.exe /forestprep, and other command must be run)

    step 2: raise forest functional level

    in domain controller 2003 go to:

    1-Administrative tool>Active Directory Domain and Trust

    2-Right click at the top on Active Directory Domain and Trust

    3-Raise Forest Functional Level

    it is ok

    you raise only domain functinal level in exchange server 2007 istallation and not raise forest functional level .

    by step 2 you raise forest functional level

     


    Monday, August 01, 2011 8:32 AM
  • Something is buggy here...  Both my "Domain Functional Level" & "Forrest Functional Level" were both set to Windows 2003.  I was aware of the domain level but not the forest level.  I raised the forest level again and was able to get past the error?

     

    Organization Prerequisites

    Failed

    Error:

    The forest functional level of the current Active Directory forest is not Windows Server 2003 native or later. To install Exchange Server 2010, the forest functional level must be at least Windows Server 2003 native.

     

     


    Friday, August 19, 2011 6:50 AM
  • Hi,

    I've a migration from Exchange 2003 to Exchange 2010 SP1

    And what solve my problem was just to raise the forest functionnal level like you explain it.

     

    Tuesday, December 20, 2011 2:59 PM
  • I´m installing a Exchange 2010 on a Windows 2003 AD.

    I fixed this issue at "Active Directory Domain and Trusts" on Administrative Tools, next right-click at  "Active Directory Domain and Trusts" and "Raise Forest ...." because I applied the functional level at domain level only.

    bye!

    • Proposed as answer by Fabio Floriani Monday, August 13, 2012 6:58 PM
    Monday, August 13, 2012 6:58 PM